set_config_file(3)

NAME
set_config_file

SYNOPSIS
#include <allegro.h>

void set_config_file(const char *filename);

DESCRIPTION
Sets the configuration file to be used by all subsequent config functions. If you don't call this function, Allegro will use the default allegro.cfg file, looking first in the same directory as your program and then in the directory pointed to by the ALLEGRO environment variable. All pointers returned by previous calls to get_config_string() and other related functions are invalidated when you call this function!

SEE ALSO
set_config_data(3), override_config_file(3), push_config_state(3), set_config_string(3), get_config_string(3)